package com.ruoyi.app.DTO;

public class PurchaserProduceTotalDTO {
    private Long purchaserId;          // 采购商ID
    private String purchaserName;      // 采购商名称
    private Long totalAmount;        // 总金额
    private String dateTag;            // 日期标签
    private Double totalSideWeight;    // 总边猪重量
    private Double totalHeadWeight;    // 总猪头重量
    private Double totalRedWeight;     // 总红内脏重量
    private Double totalWhiteWeight;   // 总白内脏重量
    private String salePlace;            // 销售去向
    // purchaserId 的 getter 和 setter 方法
    public Long getPurchaserId() {
        return purchaserId;
    }

    public void setPurchaserId(Long purchaserId) {
        this.purchaserId = purchaserId;
    }

    // purchaserName 的 getter 和 setter 方法
    public String getPurchaserName() {
        return purchaserName;
    }

    public void setPurchaserName(String purchaserName) {
        this.purchaserName = purchaserName;
    }

    // totalAmount 的 getter 和 setter 方法
    public Long getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(Long totalAmount) {
        this.totalAmount = totalAmount;
    }

    // dateTag 的 getter 和 setter 方法
    public String getDateTag() {
        return dateTag;
    }

    public void setDateTag(String dateTag) {
        this.dateTag = dateTag;
    }

    // totalSideWeight 的 getter 和 setter 方法
    public Double getTotalSideWeight() {
        return totalSideWeight;
    }

    public void setTotalSideWeight(Double totalSideWeight) {
        this.totalSideWeight = totalSideWeight;
    }

    // totalHeadWeight 的 getter 和 setter 方法
    public Double getTotalHeadWeight() {
        return totalHeadWeight;
    }

    public void setTotalHeadWeight(Double totalHeadWeight) {
        this.totalHeadWeight = totalHeadWeight;
    }

    // totalRedWeight 的 getter 和 setter 方法
    public Double getTotalRedWeight() {
        return totalRedWeight;
    }

    public void setTotalRedWeight(Double totalRedWeight) {
        this.totalRedWeight = totalRedWeight;
    }

    // totalWhiteWeight 的 getter 和 setter 方法
    public Double getTotalWhiteWeight() {
        return totalWhiteWeight;
    }

    public void setTotalWhiteWeight(Double totalWhiteWeight) {
        this.totalWhiteWeight = totalWhiteWeight;
    }

    public String getSalePlace() {
        return salePlace;
    }

    public void setSalePlace(String salePlace) {
        this.salePlace = salePlace;
    }
}
